Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225778 - erlang-jose: FTBFS in Fedora rawhide/f39 [NEEDINFO]
Summary: erlang-jose: FTBFS in Fedora rawhide/f39
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-jose
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:31 UTC by Fedora Release Engineering
Modified: 2024-05-05 04:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
releng: needinfo? (extras-orphan)


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:31 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:31 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:31 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:31:29 UTC
erlang-jose failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103571899


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix erlang-jose at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
erlang-jose will be orphaned. Before branching of Fedora 40,
erlang-jose will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:31:35 UTC
Created attachment 1977806 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 17:31:39 UTC
Created attachment 1977807 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:31:42 UTC
Created attachment 1977808 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:55:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Admin user for bugzilla script actions 2024-03-01 00:08:38 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 6 Fedora Release Engineering 2024-05-05 04:22:31 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-09-19).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.